#right_slice #toptopbar{
    display: flex;
    width: 100%;
    align-items: center;
    gap:10px;
    justify-content: space-between;
    background-color: rgba(244,239,239,1.00);
    border-radius: 25px;
    box-sizing: border-box;
    padding: 10px 15px;
}

#right_slice #toptopbar select,
#right_slice #toptopbar input{
    width: auto;
    height:45px;
    line-height: 45px;
    -webkit-appearance:none;
    background-color:rgba(232,232,232,0.83);
    border:0;
    outline:none;
    padding: 0px 25px;
    box-sizing: border-box;
    border-radius: 25px;
}

#right_slice #toptopbar input#hakuehto{
    width:100%;
}

#editview #tttle{
    width:100%;
    height:40px;
    margin: 10px 0px;
    font-size: 22px;
    text-align: left;
}

#editview #btnbtnw {
    display:flex;
    width:100%;
    margin:5px auto;
    align-items: center;
    flex-direction: row;
    justify-content: flex-start;
}

#editview #btnbtnw button {
    margin:0px 5px;
}

#editview .horime{
    display: flex;
    width:100%;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    background-color:white;
    gap:0px 10px;
    margin: 5px 0px;
    border-radius: 30px;
    padding: 4px;
    box-sizing: border-box;
}


#editview .horime label{
    background-color:rgba(220,220,220,1.00);
    padding: 0px 15px;
    color:black;
    height:40px;
    line-height: 40px;
    border-radius: 100px;
}    

#editview .slide01,
#editview .slide02,
#editview .slide03{
    display:none;
    width:100%;
    align-items: center;
    justify-content: center;
    gap:10px 0px;
    flex-direction: column;
    margin: 15px 0px;
}

#editview #sli01, #editview #sli02, #editview #sli03{ display: none; }

#editview #sli01:checked ~ div label:nth-of-type(1),
#editview #sli02:checked ~ div label:nth-of-type(2),
#editview #sli03:checked ~ div label:nth-of-type(3){ 
    background-color:rgba(190,216,230,1.00);
}

#editview #sli01:checked ~ .slide01{ display:flex;}
#editview #sli02:checked ~ .slide02{ display:flex;}
#editview #sli03:checked ~ .slide03{ display:flex;}

#editview .slide03 #mainoskuva{display:none; }

#editview .slide03 #label_valitse{ 
    width:auto;
    height: 45px;
    line-height: 45px;
    max-width: 150px;
    margin: 10px auto 10px 0px;
    padding: 0px 25px;
    border-radius: 25px;
    background-color: #386BCA;
    color:white;
}

#editview .slide03 #btn_upload_prod_image{ 
    display:none;
    width:auto;
    height: 45px;
    line-height: 45px;
    max-width: 150px;
    margin: 10px auto 10px 0px;
    padding: 0px 25px;
    border-radius: 25px;
    background-color: #75BACB;
    color:white;
    
}

#right_slice #toptopbar button{ background-color:rgba(77,126,255,0.99); color:white; min-width:120px; margin: 0px 0px; }
#right_slice #toptopbar select{ background-color:rgba(77,126,255,0.99); font-size:15px; color: white; }
#right_slice #toptopbar input{ background-color:rgba(236,236,236,0.99); }

#right_slice .formfieldwrap {
	position:relative;
	display: flex;
	flex-direction: column;
	width:100%;
	height:auto;
	margin:12px 0px;
	background-color: rgba(222,220,220,1.00);
	padding: 12px;
	box-sizing: border-box;
	border-radius: 12px;
	overflow: hidden;
	text-align: left;
}

#right_slice .formfieldwrap .tietoots{
	display: block;
	width:100%;
	height:30px;
	max-width: none;
	line-height: 30px;
	font-size:13px;
	text-align: left;
	margin:auto;
	z-index: 900;
}

#right_slice .formfieldwrap input[type="checkbox"]{ display:none;}

#right_slice .formfieldwrap div.foodi{
	position: relative;
	display: flex;
	flex-direction: row;
	width:100%;
	height:auto;
	line-height: 45px;
	background-color: rgba(255,255,255,1.00);
	margin:5px 0px;
	padding: 0px 25px 0px 60px;
    box-sizing: border-box;
	border-radius: 10px;
}

#right_slice .formfieldwrap div.foodi .tuotenimike,
#right_slice .formfieldwrap div.foodi .tuotekategoria,
#right_slice .formfieldwrap div.foodi .hinta,
#right_slice .formfieldwrap div.foodi .alv,
#right_slice .formfieldwrap div.foodi .aika {
	display: flex;
	width:100%;
	height: 45px;
	font-size:15px;
	font-weight: 500;
	color:rgba(60,58,58,1.00);
	text-align: left;
	}

#right_slice .formfieldwrap div.starred:before,
#right_slice .formfieldwrap div.available:before,
#right_slice .formfieldwrap div.hidden:before{
    position: absolute;
    top:0px;
    content: "";
    left:0px;
    bottom: 0px;
    width:40px;
    height: 40px;
    margin: auto 5px;
    background-size: 26px;
    background-repeat: no-repeat;
    background-position: center;
}

#right_slice .formfieldwrap div.hidden:before{
    background-image: url("https://cnt.ravintolat.online/imgs2/chatreadhidden.svg");
}

#right_slice .formfieldwrap div.available:before{
    background-image: url("https://cnt.ravintolat.online/imgs2/eye.svg");
}

#right_slice .formfieldwrap div.starred:before{
    background-image: url("https://cnt.ravintolat.online/imgs2/star-alt.svg");
}


#right_slice .formfieldwrap .foodi .alv,
#right_slice .formfieldwrap .foodi .aika {
    max-width: 120px; justify-content: end; font-weight: 600;
}


#right_slice .formfieldwrap .foodi .hinta {
    max-width: 120px; justify-content: end; font-weight: 600; color:red;
}


#right_slice .formfieldwrap input[type="checkbox"]:checked + div.foodi:before {
	position: absolute;
	top: 0px;
	left:15px;
	bottom:0px;
	margin: auto;
	content:"";
	width:30px;
	height:30px;
	background-size: 30px 30px;
	background-image: url("https://cnt.ravintolat.online/imgs2/price-tag-offer-discount.svg");
}

#editview{
    display: none;
    position: fixed;
    top:0px;
    bottom:0px;
    right:0px;
    padding: 50px 5%;
    box-sizing: border-box;
    flex-direction: column;
    align-items: center;
    overflow-x:hidden;
    overflow-y: auto;
    justify-content: flex-start;
    width:80%;
    height: 100%;
    background-color:rgba(205,212,212,1.00);
    box-shadow: 0px -2px 4px black;
    z-index: 888;
}

#editview .wrarow{
    display: flex;
    flex-direction: row;
    width: 100%;
    height:auto;
    gap:15px;
}

#editview .row{
    position: relative;
    display: flex;
    flex-direction: row;
    width:100%;
    height:auto;
    margin: 20px auto;
    align-items: center;
    gap:3px;
}

#editview .row:before{
    position: absolute;
    top:0px;
    left:0px;
    content: attr(data-title);
    font-size: 14px;
    font-weight: 700;
    translate: 0px -20px;
}

#editview .row input,
#editview .row textarea,
#editview .row select {
    width:100%;
    height:50px;
    line-height: 50px;
    -webkit-appearance:none;
    background-color:rgba(239,239,239,1.00);
    padding: 0px 12px;
    outline: none;
    border:0;
    border-radius: 20px;
}

#editview .row textarea{
    height: auto;
    min-width: 100%;
    min-height: 90px;
    line-height: 26px;
    box-sizing: border-box;
    padding: 10px 20px;
}

#editview .roow{
    display:flex;
    width: 100%;
    height: auto;
    flex-direction: row; 
    flex-wrap: wrap;
    justify-content: flex-start;
    gap:3px 7px;
    margin: 20px auto;
    align-items: center;    
}

#editview .roow label{
    display: flex;
    width: auto;
    height:auto;
    flex-direction: row;
    gap:10px;
    align-items: center;
    justify-content: center;
    -webkit-appearance:none;
    background-color:rgba(244,244,244,1.00);
    border-radius: 13px;
    font-size: 12px;
    padding: 3px 10px;
    margin: 0px 8px 5px 0px;
    cursor: pointer;
}

#editview .roow input[type="checkbox"],
#editview .roow input[type="radio"]{
    display: block;
    width: 24px;
    height:24px;
    -webkit-appearance:none;
    background-color:rgba(215,215,215,1.00);
    border-radius: 10px;
    border:2px solid rgba(200,200,200,1.0);
}

#editview .roow input[type="checkbox"]:checked,
#editview .roow input[type="radio"]:checked{
    background-color:rgba(98,147,255,1.00);
    border:2px solid rgba(45,132,196,1.00);
}

#editview .roow input[type="radio"]{
    border-radius: 50px;
}

#editview #tuoteoptiot{
    display:flex;
    width:100%;
    height: auto;
    padding: 5px 3px;
    box-sizing: border-box;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    gap:0.5px;
    background-color:white;
    border-radius: 10px;
}

#editview #tuoteoptiot .row{
    display:flex;
    width:100%;
    height:30px;
    margin:1px auto;
    background-color:rgba(215,234,245,1.00);
}

#editview #tuoteoptiot .row:nth-of-type(even){
    background-color:rgba(228,228,228,1.00);
}

#editview #tuoteoptiot .row .rawrp{
    display:flex;
    width:auto;
    height:100%;
    flex-direction: row;
}

#editview #tuoteoptiot .row .rawrp input.opp{
    width: 30px;
    height:30px;
    background-size:80%;
    padding:0px;
    margin:0px;
    min-width: 30px;
    background-position: center;
    background-repeat: no-repeat;
    background-color:aliceblue;
}

#editview #tuoteoptiot .row .rawrp input.opp:checked {
    background-color:greenyellow;
}

#editview #tuoteoptiot .row .rawrp input.opp:nth-of-type(1){
    background-image:url("https://cnt.ravintolat.online/imgs2/optio_radio.svg");    
}
#editview #tuoteoptiot .row .rawrp input.opp:nth-of-type(2){
    background-image:url("https://cnt.ravintolat.online/imgs2/optio_checkbox.svg");
}

#editview #tuoteoptiot .row input,
#editview #tuoteoptiot .row select,
#editview #tuoteoptiot .row button {
    height:100%;
    border-radius: 5px;
    line-height: inherit;
}

#editview #tuoteoptiot .row button.removebtn{
    display:block;
    width:30px;
    height:30px;
    min-width: 30px;
    padding:0;
    background-image:url("https://cnt.ravintolat.online/imgs2/remove2.svg");
    background-size:27px 27px;
    background-repeat: no-repeat;
    background-position: center;
}
